=== debian/changelog ===
lomiri-indicator-transfer-buteo (0.4-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1086508).

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 31 Oct 2024 16:06:38 +0100
