=== debian/control ===
Source: lomiri-indicator-transfer-buteo
Section: misc
Priority: optional
Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
Uploaders: Mike Gabriel <sunweaver@debian.org>,
Build-Depends: cmake,
               dbus-test-runner,
               debhelper-compat (= 13),
               libaccounts-qt5-dev,
               liblomiri-indicator-transfer-dev,
               libglib2.0-dev,
               liblomiri-url-dispatcher-dev,
               libproperties-cpp-dev,
               pkgconf,
               python3:any,
               python3-dbus,
               python3-gi,
               qtbase5-dev,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://gitlab.com/ubports/core/lomiri-indicator-transfer-buteo
Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer-buteo.git
Vcs-Browser: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer-buteo

Package: lomiri-indicator-transfer-buteo
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         lomiri-indicator-transfer,
Description: Lomiri Transfer Indicator - Buteo plugin
 Lomiri Indicator Transfer shows file/data transfers in the indicator bar
 of the Lomiri operating shell.
 .
 This package provides a plugin for Lomiri Indicator Transfer informing about
 transfer activities of the Buteo Sync Framework daemon.
