=== debian/changelog ===
lomiri-indicator-transfer-buteo (0.5-1) unstable; urgency=medium

  * New upstream release.
    - Support building with CMake 4. (Closes: #1113242).
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop 1001_typo-fix.patch. Applied upstream.
  * debian/copyright:
    + Update FSF mailing address.
    + Update copyright attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 30 Sep 2025 22:34:19 +0200
