=== debian/control ===
--- 
+++ 
@@ -16,7 +16,7 @@
                python3-dbus,
                python3-gi,
                qtbase5-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/core/lomiri-indicator-transfer-buteo
 Vcs-Git: https://salsa.debian.org/ubports-team/lomiri-indicator-transfer-buteo.git
